taffybar-3.0.0: A desktop bar similar to xmobar, but with more GUI

Copyright | (c) Ivan A. Malison
License | BSD3-style (see LICENSE)
Maintainer | Ivan A. Malison
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell2010

System.Taffybar.Widget.SNITray

Description

Synopsis

- getHost :: Bool -> TaffyIO Host
- sniTrayNewFromHost :: Host -> TaffyIO Widget
- sniTrayNew :: TaffyIO Widget
- sniTrayThatStartsWatcherEvenThoughThisIsABadWayToDoIt :: TaffyIO Widget

# Documentation

getHost :: Bool -> TaffyIO Host Source #

sniTrayNewFromHost :: Host -> TaffyIO Widget Source #

Build a new StatusNotifierItem tray that will share a host with any other trays that are constructed automatically

sniTrayNew :: TaffyIO Widget Source #

sniTrayThatStartsWatcherEvenThoughThisIsABadWayToDoIt :: TaffyIO Widget Source #